

kerio.waw.shared.x_3e.x_1n4 = {

x_1gj: function(x_1o) {
var x_1n4 = kerio.waw.shared.x_3e.x_1n4;
var x_205;
var x_bk = x_1o.split(',');
var x_42 = x_bk.length;
if (32 < x_42) {
return false;
}
for (var x_41 = 0; x_41 < x_42; x_41++) {
x_205 = parseInt(x_bk[x_41], 10);
if (!x_1n4.x_206(x_205)) {
return false; }
}
return true;
}, 
x_207: function(x_1o) {
var x_1n4 = kerio.waw.shared.x_3e.x_1n4;
if (-1 === x_1o.indexOf('-')) {
return x_1n4.x_1gj(x_1o);
}
var x_bk = x_1o.split(',');
var x_15d, x_208;
var x_209 = x_1n4.x_206;
for (var x_41 = 0, x_42 = x_bk.length; x_41 < x_42; x_41++) {
x_15d = x_bk[x_41];
x_208 = x_15d.indexOf('-');
if (-1 === x_208) {
if (!x_209(parseInt(x_15d, 10))) {
return false; }
}
else {
if (!x_209(parseInt(x_15d.substring(0, x_208), 10))
|| !x_209(parseInt(x_15d.substring(x_208 + 1), 10))) {
return false; }
}
}
return true;
}, 
x_206: function(x_1o, x_20a, x_20b) {
if (undefined === x_20a) { x_20a = 0; }
if (undefined === x_20b) { x_20b = 65536; } if (/^-?[0-9][0-9]*$/.test(x_1o)) {
x_1o = parseInt(x_1o, 10);
return (x_20a < x_1o) && (x_1o < x_20b);
} else {
return false; }
}, 
x_t2: function(x_12b) {
var
x_20c = new RegExp(x_r.x_20d),
x_1n1;
if (x_20c.test(x_12b)) {
x_1n1 = x_12b.split('.');
for (var x_41 = 0; 4 > x_41; x_41++) {
if (!kerio.waw.shared.x_3e.x_1n4.x_206(x_1n1[x_41], -1, 256)) { return false;
} } return true;
} else {
return false;
}
}, 
x_11d: function(x_1o) {
var x_1n4 = kerio.waw.shared.x_3e.x_1n4;
var x_205;
var x_bk = x_1o.split(';');
var x_42 = x_bk.length;
if (32 < x_42) {
return false;
}
for (var x_41 = 0; x_41 < x_42; x_41++) {
x_205 = x_bk[x_41];
if (!x_1n4.x_t2(x_205)) {
return false; }
}
return true;
}, 
x_1tx: function(x_1o) {
var
x_1eo,
x_17y,
x_41, x_1u4;
x_1eo = x_1o.split('-');
x_1u4 = x_1eo.length;
if (x_1u4 > 2) {
return false;
}
if (!x_fi.x_1n4.x_206(x_1eo[0])
|| (x_1eo[1] && !x_fi.x_1n4.x_206(x_1eo[1]))) {
return false;
}
if (2 === x_1u4 &&
parseInt(x_1eo[0], 10) >= parseInt(x_1eo[1], 10)) {
return false;
}
return true;
}};
kerio.lib.x_10o.x_20e({

x_1ex: function(x_1o) {
return this.x_192(x_1o, x_r.x_20f, x_fa.x_194.x_1hn);
},

x_17z: function(x_1o) {
return this.x_192(x_1o, x_r.x_20f, x_fa.x_194.x_1hn);
},

x_1gj: function(x_1o) {
return (this.x_192(x_1o, x_r.x_20f, x_fa.x_194.x_1hl) &&
kerio.waw.shared.x_3e.x_1n4.x_1gj(x_1o));
},

x_1tx: function(x_1o) {
return kerio.waw.shared.x_3e.x_1n4.x_1tx(x_1o);
},

x_207: function(x_1o) {
return (this.x_192(x_1o, x_r.x_20g, x_fa.x_194.x_1hm) &&
kerio.waw.shared.x_3e.x_1n4.x_207(x_1o));
},

x_nx: function(x_1o) {
return this.x_192(x_1o, x_r.x_20f, x_fa.x_194.x_1hj);
},
x_1eq: function(x_1o) {
return this.x_192(x_1o, x_r.x_20f, x_fa.x_194.x_1hf);
},
x_nw: function(x_1o) {
return (-1 === x_1o.indexOf(' '));

},
x_t2: function(x_1o) {
return kerio.waw.shared.x_3e.x_1n4.x_t2(x_1o);
},
x_11d: function(x_1o) {
return kerio.waw.shared.x_3e.x_1n4.x_11d(x_1o);
},
x_12n: function(x_1o) {
return kerio.waw.shared.x_3e.x_1n4.x_t2(x_1o); },
x_20h: function(x_1o) {
return this.x_192(x_1o, x_r.x_20i, x_fa.x_194.x_1ho);
},
x_20j: function(x_1o) {
return this.x_192(x_1o, x_r.x_20i, x_fa.x_194.x_1hp);
},
x_1jy: function(x_1o) {
return this.x_192(x_1o, x_r.x_20k, x_fa.x_194.x_1hg);
},
x_o0: function(x_1o) {
return this.x_192(x_1o, x_r.x_20k, x_fa.x_194.x_1hh);
},
x_1ym: function(x_1o) {return this.x_192(x_1o, x_r.x_20k, x_fa.x_194.x_1hg);
},
x_1wz: function(x_1o) {
return this.x_192(x_1o, x_r.x_20k, x_fa.x_194.x_1hi);
},
x_18n: function(x_1o) {
return this.x_192(x_1o, x_r.x_193, x_fa.x_194.x_195);
},
x_1ov: function(x_1o) {
return this.x_192(x_1o, x_r.x_193, x_fa.x_194.x_1hq);
},

x_u1: function(x_1o) {
return (/^[a-zA-Z0-9]*$/).test(x_1o);
}
});